'From Squeak2.9alpha of 13 June 2000 [latest update: #2774] on 10 November 2000 at 10:06:28 pm'!

!ComSwikiLauncher class methodsFor: 'instance creation' stamp: 'MU 11/5/2000 01:05'!
openAsMorphPackage: package
	| instance window aColor startStopButton shutdownButton portButton |

	"Instance of ComSwiki Launcher"
	instance _ self new.
	instance package: package.
	"Display Morph"
	window _ (SystemWindow labelled: 'ComSwiki Launcher') model: instance.
	aColor _ Color colorFrom: instance defaultBackgroundColor.
	"Start/Stop Button"
	startStopButton _ PluggableButtonMorph on: instance getState: #isOn action: #toggleState.
	instance startStopButton: startStopButton.
	startStopButton askBeforeChanging: true.
	startStopButton color: aColor; onColor: (Color red) offColor: (Color green).
	window addMorph: startStopButton frame: (0@0 corner: 0.35@1).
	"Shutdown Button"
	shutdownButton _ PluggableButtonMorph on: instance getState: #isShutdown action: #shutdown.
	shutdownButton label: 'save & exit'; askBeforeChanging: true.
	shutdownButton color: aColor; onColor: aColor darker offColor: aColor.
	window addMorph: shutdownButton frame: (0.35@0 corner: 0.7@1).
	"Port Button"
	portButton _ PluggableButtonMorph on: instance getState: #isPort action: #changePort.
	instance portButton: portButton.
	portButton askBeforeChanging: true.
	portButton color: aColor; onColor: aColor offColor: aColor.
	window addMorph: portButton frame: (0.7@0 corner: 1@1).
	"Add to World"
	window openInWorld.
	
	"should return instance - MU"
	^instance! !

